[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# DispCallByIDProc

Callback to perform dispatch interface procedure call by ID.

## Declaration

Source position: objpash.inc line 453

`var DispCallByIDProc: CodePointer;`

## Description

VarDispProc is called by the compiler if it needs to perform an interface call from a variant which contains a dispatch interface. For instance, the following call:

    Var
      V : OleVariant;
    begin
      (V as IWord).OpenDocument('c:\temp\mydoc.doc');
    end;

where IWord is a dispatch interface is encoded by the compiler and passed to DispCallByIDProc.

This pointer must be set by a routine that calls the OS COM handling routines.